import request from '@/utils/request'
import {
	upFilse
} from '@/utils/request'
// 订单确认
export function confirm(data) {
	return request({
		url: '/api/order/confirm',
		method: 'post',
		data
	});
}
//挂售
export function sell(data, id) {
	return request({
		url: '/api/nft/hang/' + id,
		method: 'post',
		data
	})
}
//购入
export function nftBuy(data, id) {
	return request({
		url: '/api/nft/buy/' + id,
		method: 'post',
		data
	})
}
//取消挂单
export function qxgd(data, id) {
	return request({
		url: '/api/nft/hang_back/' + id,
		method: 'post',
		data
	})
}
//nft市场
export function nftmall(data) {
	return request({
		url: '/api/nft/list',
		method: 'get',
		data
	})
}
//nft挂售详情
export function nftDetail(data,id) {
	return request({
		url: '/api/nft/detail/'+id,
		method: 'get',
		data
	})
}
//获取可使用优惠券
export function couponsOrder(data, price, id) {
	return request({
		url: '/api/coupons/order/' + price + '/' + id,
		method: 'get',
		data
	});
}
//获取优惠券列表
export function getCouponsList(data, types) {
	//优惠券状态 0全部 1未使用 2已使用
	return request({
		url: '/api/coupons/user/' + types,
		method: 'get',
		data
	});
}
//提交评论
export function order_comment(data) {
	return request({
		url: '/api/order/comment',
		method: 'post',
		data
	});
}
//订单产品信息
export function product(data) {
	return request({
		url: '/api/order/product',
		method: 'post',
		data
	});
}
// 快递查询
export function express_query(data) {
	return request({
		url: '/api/order/express_query',
		method: 'get',
		data
	});
}
//上传图片
export function upload(data) {
	return upFilse({
		url: '/api/upload/image',
		method: 'post',
		data
	});
}
// 订单列表
export function orderList(data) {
	return request({
		url: '/api/order/list',
		method: 'get',
		data
	});
}
// 订单详细
export function orderDetail(data, orderid) {
	return request({
		url: '/api/order/detail/' + orderid,
		method: 'get',
		data
	});
}

// 取消订单
export function orderCancel(data) {
	return request({
		url: '/api/order/cancel',
		method: 'post',
		data
	});
}

// 删除订单
export function orderDel(data) {
	return request({
		url: '/api/order/del',
		method: 'get',
		data
	});
}
// 申请退款
export function refund(data) {
	return request({
		url: '/api/order/refund/verify',
		method: 'post',
		data
	});
}
// 退款理由列表
export function refundReason(data) {
	return request({
		url: '/api/order/refund/reason',
		method: 'get',
		data
	});
}

// 确认收货
export function orderTake(data) {
	return request({
		url: '/api/order/take',
		method: 'post',
		data
	});
}

// 订单支付
export function orderPay(data) {
	return request({
		url: '/api/order/pay',
		method: 'post',
		data
	});
}

// 创建订单
export function createOrderkey(data, key) {
	return request({
		url: '/api/order/create/' + key,
		method: 'post',
		data
	});
}

// 统计订单金额
export function computedOrderkey(data) {
	return request({
		url: '/api/order/computed/' + data.orderkey,
		method: 'post',
		data
	});
}
// 市场订单
export function nftOrder(data) {
	return request({
		url: '/api/nft/order/my',
		method: 'get',
		data
	});
}
//取消订单
export function nftCancel(data,id) {
	return request({
		url: '/api/nft/cancel/' + id,
		method: 'post',
		data
	});
}
//支付订单
export function nftPay(data,id) {
	return request({
		url: '/api/nft/pay/' + id,
		method: 'post',
		data
	});
}