import request from '@/utils/request'


//查看子点位
export function lookSubpoints(data, id) {
	return request({
		url: '/api/tree/children/' + id,
		method: 'get',
		data
	})
}
//查看自己的点位
export function lookOneself(data) {
	return request({
		url: '/api/tree/points',
		method: 'get',
		data

	})
}

//绑定上级
export function spread(data) {
	return request({
		url: '/api/user/spread',
		method: 'post',
		data
	})
}

//我的推广
export function myspread(data) {
	return request({
		url: '/api/spread/people',
		method: 'POST',
		data
	});
}

// 订单统计信息
export function orderData(data) {
	return request({
		url: '/api/order/data',
		method: 'get',
		data
	});
}

// 获取用户信息
export function getUserInfo(data) {
	return request({
		url: '/api/userinfo',
		method: 'get',
		data
	});
}
// 获取用户信息
export function userinfo(data) {
	return request({
		url: '/api/userinfo',
		method: 'get',
		data
	});
}

// 用户分享图
export function spreadBanner(data) {
	return request({
		url: '/api/spread/banner',
		method: 'get',
		data
	});
}

// 获取地址列表
export function getAddressList(data) {
	return request({
		url: '/api/address/list',
		method: 'get',
		data
	});
}
// 修改地址
export function addressEdit(data) {
	return request({
		url: '/api/address/edit',
		method: 'post',
		data
	});
}
// 删除地址
export function addressDel(data) {
	return request({
		url: '/api/address/del',
		method: 'post',
		data
	});
}
// 设为默认地址
export function setAddressDefault(data) {
	return request({
		url: '/api/address/default/set',
		method: 'post',
		data
	});
}
// 购物车列表
export function getCartList(data) {
	return request({
		url: '/api/cart/list',
		method: 'get',
		data
	});
}

// 修改购物车数量
export function getCartNum(data) {
	return request({
		url: '/api/cart/num',
		method: 'post',
		data
	});
}
//删除购物车
export function cartDel(data) {
	return request({
		url: '/api/cart/del',
		method: 'post',
		data
	});
}
//获取收藏夹列表
export function getcollectList(data) {
	return request({
		url: '/api/collect/user',
		method: 'get',
		data
	});
}
// 取消收藏
export function delcollect(data) {
	return request({
		url: '/api/collect/del',
		method: 'post',
		data
	});
}

//积分转账
export function transfer(data) {
	return request({
		url: '/api/trade',
		method: 'post',
		data
	})
}

//余额转账
export function yuetransfer(data) {
	return request({
		url: '/api/yue/trade',
		method: 'post',
		data
	})
} //喜嗨购
export function yueXhg(data) {
	return request({
		url: '/api/dow_user',
		method: 'post',
		data
	})
}

//现金转账
export function cashtransfer(data) {
	return request({
		url: '/api/cash/trade',
		method: 'post',
		data
	})
}

//用户修改信息
export function edit(data) {
	return request({
		url: '/api/user/edit',
		method: 'post',
		data
	});
}

// 申请入驻
export function ssrz(data) {
	return request({
		url: '/api/enter/apply',
		method: 'post',
		data
	});
}



//商家记录
export function getShopIntegral(data) {
	return request({
		url: '/api/business_integral/list',
		method: 'get',
		data
	})
}
//文章列表
export function article(data, id) {
	return request({
		url: '/api/article/list/' + id,
		method: 'GET',
		data
	});
}

//文章详情
export function details(data, id) {
	return request({
		url: '/api/article/details/' + id,
		method: 'GET',
		data
	});
}

//种植详情
export function getJl(data) {
	return request({
		url: '/api/many_order/list',
		method: 'GET',
		data
	});
}

// 我的nft
export function getMyNft(data) {
	return request({
		url: '/api/nft/my',
		method: 'GET',
		data
	})
}

//我的卖出
export function myGdList(data) {
	return request({
		url: '/api/nft/hang/my',
		method: 'get',
		data
	});
}

//获取vip列表
export function vipList(data) {
	return request({
		url: '/api/vip/index',
		method: 'get',
		data
	});
}
//开通分公司
export function vipCompany(data) {
	return request({
		url: '/api/vip/company',
		method: 'post',
		data
	});
}

//开通分销商
export function vipPartner(data) {
	return request({
		url: '/api/vip/partner',
		method: 'post',
		data
	});
}

//提交意见
export function proposal(data) {
	return request({
		url: '/api/proposal',
		method: 'post',
		data
	});
}
